AI 에이전트의 경우: 문서 인덱스는 https://www.mongodb.com/ko-kr/docs/llms.txt에서 사용할 수 있으며, 모든 페이지의 마크다운 버전은 어떤 URL 경로에 .md를 추가하여 사용할 수 있습니다.
Docs Menu

자동화 구성 가져오기(삭제된 비밀)

프로젝트의 자동화 구성 에 따라 MongoDB 프로세스 및 에이전트의 목표 상태가 결정됩니다. MongoDB Agent는 지정된 목표에 따라 배포서버를 구축합니다.

중요

프로젝트의 자동화 구성에는 비밀번호나 키 값과 같은 민감한 정보가 포함될 수 있습니다. 이 리소스 중요한 정보가 삭제된 자동화 구성을 가져옵니다. 수정되지 않은 자동화 구성을 가져오려면 /groups/{PROJECT-ID}/automationConfig 엔드포인트를 사용합니다.

이 엔드포인트는 다음에서 사용할 수 있습니다.

  • Ops Manager 8.0.12 이상

  • Ops Manager 7.0.18 이상

이 리소스에는 Project Automation Admin 역할이 필요합니다.

기본 URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

GET /groups/{PROJECT-ID}/automationConfig/noSecrets
이름
유형
필요성
설명

프로젝트 ID

문자열

필수 사항

자동화 구성을 소유한 그룹 의 고유 식별자입니다.

다음 쿼리 매개변수는 선택 사항입니다.

이름
유형
필요성
설명
기본값

pretty

부울

옵션

응답 본문이 pretty-print 형식인지 여부를 나타내는 플래그입니다.

false

envelope

부울

옵션

응답을 엔벨로프에 래핑할지 여부를 나타내는 플래그입니다.

일부 API 클라이언트는 HTTP 응답 헤더 또는 상태 코드에 액세스할 수 없습니다. 이 문제를 해결하려면 쿼리에서 envelope=true를 설정합니다.

하나의 결과를 반환하는 엔드포인트의 경우 응답 본문에는 다음이 포함됩니다.

  • statusHTTP 응답 코드

  • content예상되는 응답 본문

false

이 엔드포인트는 HTTP 요청 본문 매개변수를 사용하지 않습니다.

이러한 매개변수를 검토하려면 자동화 구성 매개변수를 참조하세요.

curl --user "{publicApiKey}:{privateApiKey}" --digest \
--request GET "https://<OpsManagerHost>:<Port>/api/public/v1.0/groups/{PROJECT-ID}/automationConfig?pretty=true" \
--output currentAutomationConfig.json
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}

다음 예시 응답 본문은 민감한 정보가 수정된 자동화 구성 예시 를 보여줍니다. /groups/{PROJECT-ID}/automationConfig/noSecrets 엔드포인트는 민감한 필드 값이 <redacted> 문자열로 대체된 수정된 텍스트를 반환합니다.

1{
2 "backupVersions": [
3 {
4 "hostname": "test-2.aabc.3172.mongodbdns.com"
5 }
6 ],
7 "mongoDbVersions": [
8 {
9 "name": "4.4.0"
10 }
11 ],
12 "monitoringVersions": [
13 {
14 "hostname": "test-2.aabc.3172.mongodbdns.com"
15 }
16 ],
17 "options": {
18 "downloadBase": "/var/lib/mongodb-mms-automation",
19 "downloadBaseWindows": "%SystemDrive%\\MMSAutomation\\versions"
20 },
21 "processes": [
22 {
23 "args2_6": {
24 "net": {
25 "port": 27017
26 },
27 "operationProfiling": {},
28 "replication": {
29 "replSetName": "replSet1"
30 },
31 "storage": {
32 "dbPath": "/data/replSet1_10"
33 },
34 "systemLog": {
35 "destination": "file",
36 "path": "/data/replSet1_10/mongodb.log"
37 }
38 },
39 "hostname": "test-2.aabc.3172.mongodbdns.com",
40 "logRotate": {
41 "sizeThresholdMB": 1000,
42 "timeThresholdHrs": 24
43 },
44 "auditLogRotate": {
45 "sizeThresholdMB": 1000,
46 "timeThresholdHrs": 24
47 },
48 "name": "replSet1_10",
49 "directAttachVerificationKey": "<redacted>",
50 "processType": "mongod",
51 "version": "4.4.0",
52 "authSchemaVersion": 5,
53 "featureCompatibilityVersion": "4.2"
54 },
55 {
56 "args2_6": {
57 "net": {
58 "port": 27017
59 },
60 "operationProfiling": {},
61 "replication": {
62 "replSetName": "replSet1"
63 },
64 "storage": {
65 "dbPath": "/data/replSet1_11"
66 },
67 "systemLog": {
68 "destination": "file",
69 "path": "/data/replSet1_11/mongodb.log"
70 }
71 },
72 "hostname": "test-1.aabc.3172.mongodbdns.com",
73 "logRotate": {
74 "sizeThresholdMB": 1000,
75 "timeThresholdHrs": 24
76 },
77 "auditLogRotate": {
78 "sizeThresholdMB": 1000,
79 "timeThresholdHrs": 24
80 },
81 "name": "replSet1_11",
82 "directAttachVerificationKey": "<redacted>",
83 "processType": "mongod",
84 "version": "4.4.0",
85 "authSchemaVersion": 5,
86 "featureCompatibilityVersion": "4.2"
87 },
88 {
89 "args2_6": {
90 "net": {
91 "port": 27017
92 },
93 "operationProfiling": {},
94 "replication": {
95 "replSetName": "replSet1"
96 },
97 "storage": {
98 "dbPath": "/data/replSet1_12"
99 },
100 "systemLog": {
101 "destination": "file",
102 "path": "/data/replSet1_12/mongodb.log"
103 }
104 },
105 "hostname": "test-0.aabc.3172.mongodbdns.com",
106 "logRotate": {
107 "sizeThresholdMB": 1000,
108 "timeThresholdHrs": 24
109 },
110 "auditLogRotate": {
111 "sizeThresholdMB": 1000,
112 "timeThresholdHrs": 24
113 },
114 "name": "replSet1_12",
115 "directAttachVerificationKey": "<redacted>",
116 "processType": "mongod",
117 "version": "4.4.0",
118 "authSchemaVersion": 5,
119 "featureCompatibilityVersion": "4.2"
120 },
121 {
122 "args2_6": {
123 "net": {
124 "port": 27018
125 },
126 "operationProfiling": {},
127 "replication": {
128 "replSetName": "replSet1"
129 },
130 "storage": {
131 "dbPath": "/data/replSet1_13"
132 },
133 "systemLog": {
134 "destination": "file",
135 "path": "/data/replSet1_13/mongodb.log"
136 }
137 },
138 "hostname": "test-2.aabc.3172.mongodbdns.com",
139 "logRotate": {
140 "sizeThresholdMB": 1000,
141 "timeThresholdHrs": 24
142 },
143 "auditLogRotate": {
144 "sizeThresholdMB": 1000,
145 "timeThresholdHrs": 24
146 },
147 "name": "replSet1_13",
148 "directAttachVerificationKey": "<redacted>",
149 "processType": "mongod",
150 "version": "4.4.0",
151 "authSchemaVersion": 5,
152 "featureCompatibilityVersion": "4.2"
153 }
154 ],
155 "replicaSets": [
156 {
157 "_id": "replSet1",
158 "protocolVersion": "1",
159 "members": [
160 {
161 "_id": 0,
162 "arbiterOnly": false,
163 "hidden": true,
164 "host": "replSet1_10",
165 "priority": 0.0,
166 "secondaryDelaySecs": 200,
167 "votes": 0
168 },
169 {
170 "_id": 1,
171 "arbiterOnly": false,
172 "hidden": false,
173 "host": "replSet1_11",
174 "priority": 1.0,
175 "secondaryDelaySecs": 0,
176 "votes": 1
177 },
178 {
179 "_id": 2,
180 "arbiterOnly": false,
181 "hidden": false,
182 "host": "replSet1_12",
183 "priority": 1.0,
184 "secondaryDelaySecs": 0,
185 "votes": 1
186 },
187 {
188 "_id": 3,
189 "arbiterOnly": true,
190 "hidden": false,
191 "host": "replSet1_13",
192 "priority": 0.0,
193 "secondaryDelaySecs": 0,
194 "votes": 1
195 }
196 ]
197 }
198 ],
199 "roles": [],
200 "sharding": [],
201 "indexConfigs": [
202 {
203 "key": [
204 [
205 "field",
206 "1"
207 ]
208 ],
209 "rsName": "replSet1",
210 "dbName": "db",
211 "collectionName": "collection"
212 }
213 ]
214}